<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::ConfiguratorDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogConfigurator.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_CENTER | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ColorPicker" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::ConfiguratorDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::ConfiguratorDialog"/>
			<ExtraConfig>
				<FreeLayout>
				<!--Logo-->

					<!--Title Bar-->
					<Label X="95" Y="30" Width="200" FontHeight="25" Text="配置器" FGColor="#d9f7ff" ID="GK::ID_CONFIG_TiltleLabel" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ImageList X="1022" Y="25" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CONFIG_Close">
						<Image File="Image\GK\Theme1\button_close_normal.png"/>
						<Image File="Image\GK\Theme1\button_close_over.png"/>
					</ImageList>

					<VirtualBox X="110" Y="142">
						<RowLayout RowSpace="20">
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_ALL">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_WASD">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_Arrow">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_Num">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_FN">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GK::ID_CONFIG_SelectKeyCheck_PadNum">
								<Image File="Image\GK\Theme1\configurator_group_unselected.png"/>
								<Image File="Image\GK\Theme1\configurator_group_selected.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>

					<VirtualBox X="155" Y="144">
						<RowLayout RowSpace="22">
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_ALL_Label" Text="全部" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_WASD_Label" Text="WASD" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_Arrow_Label" Text="方向鍵" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_Num_Label" Text="數字鍵" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_FN_Label" Text="FN鍵" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label ID="GK::ID_CONFIG_SelectKeyCheck_PadNum_Label" Text="數字小鍵盤" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
						</RowLayout>
					</VirtualBox>

					<VirtualBox X="110" Y="360">
						<RowLayout RowSpace="18">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CONFIG_UnselectAll_Btn">
								<Image File="Image\GK\Theme1\configurator_select_option_normal.png"/>
								<Image File="Image\GK\Theme1\configurator_select_option_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CONFIG_ReverseSelect_Btn">
								<Image File="Image\GK\Theme1\configurator_select_option_normal.png"/>
								<Image File="Image\GK\Theme1\configurator_select_option_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>

					<VirtualBox X="110" Y="365">
						<RowLayout RowSpace="30">
							<Label ID="GK::ID_CONFIG_UnselectAll_Label" Text="全不選取" FGColor="#ffffff" Width="119"/><!--width is the same as button image-->
							<Label ID="GK::ID_CONFIG_ReverseSelect_Label" Text="反向選取" FGColor="#ffffff" Width="119"/><!--width is the same as button image-->
						</RowLayout>
					</VirtualBox>

					<Label X="320" Y="410" Width="40" Height="40" Text="顏色" ID="GK::ID_CONFIG_LightColorLabel"/>
					<Label X="320" Y="430" Width="139" Height="40" BGColor="#ffffff" ID="GK::ID_CONFIG_LightColorSelectBoundary"/>
					<Label X="321" Y="431" Width="137" Height="38" BGColor="#ff0000" ID="GK::ID_CONFIG_LightColorSelect"/>
			
					<VirtualBox X="320" Y="480" Width="140" Height="35">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#ff0000" ID="GK::ID_CONFIG_LightColorBox_0"/>
							<Label Width="30" Height="30" BGColor="#ffa500" ID="GK::ID_CONFIG_LightColorBox_1"/>
							<Label Width="30" Height="30" BGColor="#ffff00" ID="GK::ID_CONFIG_LightColorBox_2"/>
							<Label Width="30" Height="30" BGColor="#00ff00" ID="GK::ID_CONFIG_LightColorBox_3"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="320" Y="520" Width="140" Height="35">
						<ColumnLayout ColAlignV="center" ColAlignH="equal">
							<Label Width="30" Height="30" BGColor="#00ffff" ID="GK::ID_CONFIG_LightColorBox_4"/>
							<Label Width="30" Height="30" BGColor="#0000ff" ID="GK::ID_CONFIG_LightColorBox_5"/>
							<Label Width="30" Height="30" BGColor="#800080" ID="GK::ID_CONFIG_LightColorBox_6"/>
							<Label Width="30" Height="30" BGColor="#ff00ff" ID="GK::ID_CONFIG_LightColorBox_7"/>
						</ColumnLayout>
					</VirtualBox>
					<ColorPicker X="490" Y="430" Width="280" Height="120" InitColor="#00FF00" ID="GK::ID_CONFIG_LightColorPicker"/>
					<ColorPicker X="780" Y="430" Width="32" Height="120" Type="LUMINANCE" InitColor="#FF00000" ID="GK::ID_CONFIG_LightColorSlider"/> <!--Width should greater than 20 if tyle is LUMINANCE-->

					<ImageList X="840" Y="430" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CONFIG_LightColorApply">
						<Image File="Image\GK\Theme1\configurator_apply_normal.png"/>
						<Image File="Image\GK\Theme1\configurator_apply_over.png"/>
					</ImageList>
					<Label X="840" Y="450" Width="180" Text="應 用" FontHeight="25" FGColor="#ffffff" ID="GK::ID_CONFIG_LightColorLabelApply"/>
					<ImageList X="840" Y="510" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_CONFIG_LightColorDelete">
						<Image File="Image\GK\Theme1\configurator_delete_normal.png"/>
						<Image File="Image\GK\Theme1\configurator_delete_over.png"/>
					</ImageList>
					<Label X="840" Y="520" Width="180" Text="刪 除" FontHeight="25" FGColor="#ffffff" ID="GK::ID_CONFIG_LightColorLabelDelete"/>

					<!--Key Decorator-->
					<KeyDecoratorConfiguratorWnd X="10"	Y="10" Width="10" Height="10" Text="" ID="GK::ID_CONFIG_KeyDecoratoTemp"/> <!--First invisible bug /-->
					<!--Line 1-->

					<!--Line 2-->
					<KeyDecoratorConfiguratorWnd X="414" Y="146" Width="30" Height="30" Text="`" ID="GK::ID_CONFIG_KeyDecorator_1_1"/>
					<KeyDecoratorConfiguratorWnd X="451" Y="146" Width="30" Height="30" Text="1" ID="GK::ID_CONFIG_KeyDecorator_1_2"/>
					<KeyDecoratorConfiguratorWnd X="488" Y="146" Width="30" Height="30" Text="2" ID="GK::ID_CONFIG_KeyDecorator_1_3"/>
					<KeyDecoratorConfiguratorWnd X="524" Y="146" Width="30" Height="30" Text="3" ID="GK::ID_CONFIG_KeyDecorator_1_4"/>
					<KeyDecoratorConfiguratorWnd X="561" Y="146" Width="30" Height="30" Text="4" ID="GK::ID_CONFIG_KeyDecorator_1_5"/>
					<KeyDecoratorConfiguratorWnd X="598" Y="146" Width="30" Height="30" Text="5" ID="GK::ID_CONFIG_KeyDecorator_1_6"/>
					<KeyDecoratorConfiguratorWnd X="634" Y="146" Width="30" Height="30" Text="6" ID="GK::ID_CONFIG_KeyDecorator_1_7"/>
					<KeyDecoratorConfiguratorWnd X="670" Y="146" Width="30" Height="30" Text="7" ID="GK::ID_CONFIG_KeyDecorator_1_8"/>
					<KeyDecoratorConfiguratorWnd X="706" Y="146" Width="30" Height="30" Text="8" ID="GK::ID_CONFIG_KeyDecorator_1_9"/>
					<KeyDecoratorConfiguratorWnd X="744" Y="146" Width="30" Height="30" Text="9" ID="GK::ID_CONFIG_KeyDecorator_1_10"/>
					<KeyDecoratorConfiguratorWnd X="779" Y="146" Width="30" Height="30" Text="0" ID="GK::ID_CONFIG_KeyDecorator_1_11"/>
					<KeyDecoratorConfiguratorWnd X="815" Y="146" Width="30" Height="30" Text="-" ID="GK::ID_CONFIG_KeyDecorator_1_12"/>
					<KeyDecoratorConfiguratorWnd X="852" Y="146" Width="30" Height="30" Text="=" ID="GK::ID_CONFIG_KeyDecorator_1_13"/>
					<KeyDecoratorConfiguratorWnd X="889" Y="146" Width="63" Height="30" Text="Back" ID="GK::ID_CONFIG_KeyDecorator_5_13"/>
					<KeyDecoratorConfiguratorWnd X="965" Y="146" Width="30" Height="30" Text="Insert" ID="GK::ID_CONFIG_KeyDecorator_6_8"/>
					<KeyDecoratorConfiguratorWnd X="1001" Y="146" Width="30" Height="30" Text="Home" ID="GK::ID_CONFIG_KeyDecorator_6_9"/>

					<!--Line 3-->
					<KeyDecoratorConfiguratorWnd X="414" Y="183" Width="45" Height="30" Text="Tab" ID="GK::ID_CONFIG_KeyDecorator_2_1"/>
					<KeyDecoratorConfiguratorWnd X="470" Y="183" Width="30" Height="30" Text="Q" ID="GK::ID_CONFIG_KeyDecorator_2_2"/>
					<KeyDecoratorConfiguratorWnd X="506" Y="183" Width="30" Height="30" Text="W" ID="GK::ID_CONFIG_KeyDecorator_2_3"/>
					<KeyDecoratorConfiguratorWnd X="542" Y="183" Width="30" Height="30" Text="E" ID="GK::ID_CONFIG_KeyDecorator_2_4"/>
					<KeyDecoratorConfiguratorWnd X="579" Y="183" Width="30" Height="30" Text="R" ID="GK::ID_CONFIG_KeyDecorator_2_5"/>
					<KeyDecoratorConfiguratorWnd X="615" Y="183" Width="30" Height="30" Text="T" ID="GK::ID_CONFIG_KeyDecorator_2_6"/>
					<KeyDecoratorConfiguratorWnd X="652" Y="183" Width="30" Height="30" Text="Y" ID="GK::ID_CONFIG_KeyDecorator_2_7"/>
					<KeyDecoratorConfiguratorWnd X="688" Y="183" Width="30" Height="30" Text="U" ID="GK::ID_CONFIG_KeyDecorator_2_8"/>
					<KeyDecoratorConfiguratorWnd X="725" Y="183" Width="30" Height="30" Text="I" ID="GK::ID_CONFIG_KeyDecorator_2_9"/>
					<KeyDecoratorConfiguratorWnd X="761" Y="183" Width="30" Height="30" Text="O" ID="GK::ID_CONFIG_KeyDecorator_2_10"/>
					<KeyDecoratorConfiguratorWnd X="797" Y="183" Width="30" Height="30" Text="P" ID="GK::ID_CONFIG_KeyDecorator_2_11"/>
					<KeyDecoratorConfiguratorWnd X="834" Y="183" Width="30" Height="30" Text="{" ID="GK::ID_CONFIG_KeyDecorator_2_12"/>
					<KeyDecoratorConfiguratorWnd X="870" Y="183" Width="30" Height="30" Text="}" ID="GK::ID_CONFIG_KeyDecorator_2_13"/>
					<KeyDecoratorConfiguratorWnd X="907" Y="183" Width="45" Height="30" Text="|" ID="GK::ID_CONFIG_KeyDecorator_3_13"/>
					<KeyDecoratorConfiguratorWnd X="965" Y="183" Width="30" Height="30" Text="Delete" ID="GK::ID_CONFIG_KeyDecorator_6_11"/>
					<KeyDecoratorConfiguratorWnd X="1001" Y="183" Width="30" Height="30" Text="End" ID="GK::ID_CONFIG_KeyDecorator_6_12"/>

					<!--Line 4-->
					<KeyDecoratorConfiguratorWnd X="414" Y="219" Width="54" Height="30" Text="Cap" ID="GK::ID_CONFIG_KeyDecorator_3_1"/>
					<KeyDecoratorConfiguratorWnd X="478" Y="219" Width="30" Height="30" Text="A" ID="GK::ID_CONFIG_KeyDecorator_3_2"/>
					<KeyDecoratorConfiguratorWnd X="515" Y="219" Width="30" Height="30" Text="S" ID="GK::ID_CONFIG_KeyDecorator_3_3"/>
					<KeyDecoratorConfiguratorWnd X="552" Y="219" Width="30" Height="30" Text="D" ID="GK::ID_CONFIG_KeyDecorator_3_4"/>
					<KeyDecoratorConfiguratorWnd X="588" Y="219" Width="30" Height="30" Text="F" ID="GK::ID_CONFIG_KeyDecorator_3_5"/>
					<KeyDecoratorConfiguratorWnd X="625" Y="219" Width="30" Height="30" Text="G" ID="GK::ID_CONFIG_KeyDecorator_3_6"/>
					<KeyDecoratorConfiguratorWnd X="661" Y="219" Width="30" Height="30" Text="H" ID="GK::ID_CONFIG_KeyDecorator_3_7"/>
					<KeyDecoratorConfiguratorWnd X="697" Y="219" Width="30" Height="30" Text="J" ID="GK::ID_CONFIG_KeyDecorator_3_8"/>
					<KeyDecoratorConfiguratorWnd X="733" Y="219" Width="30" Height="30" Text="K" ID="GK::ID_CONFIG_KeyDecorator_3_9"/>
					<KeyDecoratorConfiguratorWnd X="770" Y="219" Width="30" Height="30" Text="L" ID="GK::ID_CONFIG_KeyDecorator_3_10"/>
					<KeyDecoratorConfiguratorWnd X="806" Y="219" Width="30" Height="30" Text=";" ID="GK::ID_CONFIG_KeyDecorator_3_11"/>
					<KeyDecoratorConfiguratorWnd X="843" Y="219" Width="30" Height="30" Text="'" ID="GK::ID_CONFIG_KeyDecorator_3_12"/>
					<KeyDecoratorConfiguratorWnd X="879" Y="219" Width="73" Height="30" Text="enter" ID="GK::ID_CONFIG_KeyDecorator_4_13"/>
					<KeyDecoratorConfiguratorWnd X="965" Y="219" Width="30" Height="30" Text="Pause" ID="GK::ID_CONFIG_KeyDecorator_6_7"/>
					<KeyDecoratorConfiguratorWnd X="1001" Y="219" Width="30" Height="30" Text="Page up" ID="GK::ID_CONFIG_KeyDecorator_6_10"/>

					<!--Line 5-->
					<KeyDecoratorConfiguratorWnd X="414" Y="256" Width="72" Height="30" Text="Lshift" ID="GK::ID_CONFIG_KeyDecorator_4_1"/>
					<KeyDecoratorConfiguratorWnd X="497" Y="256" Width="30" Height="30" Text="Z" ID="GK::ID_CONFIG_KeyDecorator_4_2"/>
					<KeyDecoratorConfiguratorWnd X="534" Y="256" Width="30" Height="30" Text="X" ID="GK::ID_CONFIG_KeyDecorator_4_3"/>
					<KeyDecoratorConfiguratorWnd X="570" Y="256" Width="30" Height="30" Text="C" ID="GK::ID_CONFIG_KeyDecorator_4_4"/>
					<KeyDecoratorConfiguratorWnd X="606" Y="256" Width="30" Height="30" Text="V" ID="GK::ID_CONFIG_KeyDecorator_4_5"/>
					<KeyDecoratorConfiguratorWnd X="642" Y="256" Width="30" Height="30" Text="B" ID="GK::ID_CONFIG_KeyDecorator_4_6"/>
					<KeyDecoratorConfiguratorWnd X="679" Y="256" Width="30" Height="30" Text="N" ID="GK::ID_CONFIG_KeyDecorator_4_7"/>
					<KeyDecoratorConfiguratorWnd X="716" Y="256" Width="30" Height="30" Text="M" ID="GK::ID_CONFIG_KeyDecorator_4_8"/>
					<KeyDecoratorConfiguratorWnd X="752" Y="256" Width="30" Height="30" Text="," ID="GK::ID_CONFIG_KeyDecorator_4_9"/>
					<KeyDecoratorConfiguratorWnd X="788" Y="256" Width="30" Height="30" Text="." ID="GK::ID_CONFIG_KeyDecorator_4_10"/>
					<KeyDecoratorConfiguratorWnd X="824" Y="256" Width="30" Height="30" Text="?" ID="GK::ID_CONFIG_KeyDecorator_4_11"/>
					<KeyDecoratorConfiguratorWnd X="861" Y="256" Width="92" Height="30" Text="Rshift" ID="GK::ID_CONFIG_KeyDecorator_4_12"/>
					<KeyDecoratorConfiguratorWnd X="965" Y="256" Width="30" Height="30" Text="Up" ID="GK::ID_CONFIG_KeyDecorator_5_11"/>
					<KeyDecoratorConfiguratorWnd X="1001" Y="256" Width="30" Height="30" Text="Page down" ID="GK::ID_CONFIG_KeyDecorator_6_13"/>

					<!--Line 6-->
					<KeyDecoratorConfiguratorWnd X="414" Y="292" Width="37" Height="30" Text="LCtrl" ID="GK::ID_CONFIG_KeyDecorator_5_1"/>
					<KeyDecoratorConfiguratorWnd X="460" Y="292" Width="37" Height="30" Text="LWin" ID="GK::ID_CONFIG_KeyDecorator_5_2"/>
					<KeyDecoratorConfiguratorWnd X="506" Y="292" Width="37" Height="30" Text="LAlt" ID="GK::ID_CONFIG_KeyDecorator_5_3"/>
					<KeyDecoratorConfiguratorWnd X="552" Y="292" Width="220" Height="30" Text="Space" ID="GK::ID_CONFIG_KeyDecorator_5_4"/>
					<KeyDecoratorConfiguratorWnd X="779" Y="292" Width="37" Height="30" Text="RAlt" ID="GK::ID_CONFIG_KeyDecorator_5_5"/>
					<KeyDecoratorConfiguratorWnd X="824" Y="292" Width="37" Height="30" Text="FN" ID="GK::ID_CONFIG_KeyDecorator_5_6"/>
					<KeyDecoratorConfiguratorWnd X="869" Y="292" Width="37" Height="30" Text="RCtrl" ID="GK::ID_CONFIG_KeyDecorator_5_8"/>
					<KeyDecoratorConfiguratorWnd X="925" Y="292" Width="30" Height="30" Text="Left" ID="GK::ID_CONFIG_KeyDecorator_5_9"/>
					<KeyDecoratorConfiguratorWnd X="965" Y="292" Width="30" Height="30" Text="Down" ID="GK::ID_CONFIG_KeyDecorator_5_10"/>
					<KeyDecoratorConfiguratorWnd X="1001" Y="292" Width="30" Height="30" Text="Right" ID="GK::ID_CONFIG_KeyDecorator_5_12"/>

				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::ConfiguratorDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<ExtraConfig>
				<KeyboardGroup Name="WASD">
					<Item R="2" C="3"/>
					<Item R="3" C="2"/>
					<Item R="3" C="3"/>
					<Item R="3" C="4"/>
				</KeyboardGroup>
				<KeyboardGroup Name="Arrow">
					<Item R="5" C="11"/>
					<Item R="5" C="9"/>
					<Item R="5" C="10"/>
					<Item R="5" C="12"/>
				</KeyboardGroup>
				<KeyboardGroup Name="Number">
					<Item R="1" C="2"/>
					<Item R="1" C="3"/>
					<Item R="1" C="4"/>
					<Item R="1" C="5"/>
					<Item R="1" C="6"/>
					<Item R="1" C="7"/>
					<Item R="1" C="8"/>
					<Item R="1" C="9"/>
					<Item R="1" C="10"/>
					<Item R="1" C="11"/>
				</KeyboardGroup>
				<KeyboardGroup Name="PadNum">
					<Item R="2" C="14"/>
					<Item R="2" C="15"/>
					<Item R="2" C="16"/>
					<Item R="3" C="14"/>
					<Item R="3" C="15"/>
					<Item R="3" C="16"/>
					<Item R="4" C="14"/>
					<Item R="4" C="15"/>
					<Item R="4" C="16"/>
					<Item R="5" C="14"/>
					<Item R="5" C="15"/>
				</KeyboardGroup>
				<KeyboardGroup Name="FN">
					<Item R="0" C="2"/>
					<Item R="0" C="3"/>
					<Item R="0" C="4"/>
					<Item R="0" C="5"/>
					<Item R="0" C="6"/>
					<Item R="0" C="7"/>
					<Item R="0" C="8"/>
					<Item R="0" C="9"/>
					<Item R="0" C="10"/>
					<Item R="0" C="11"/>
					<Item R="0" C="12"/>
					<Item R="0" C="13"/>
				</KeyboardGroup>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GK::ConfiguratorDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::ConfiguratorDialog"/>
			<ExtraConfig>
				<Title>Configurator Dialog</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::ConfiguratorDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::ConfiguratorDialog"/>
		</Plugin>
	</ExtensionPoint>
</File>
